Bug 50621 - Mesa fails its test suite with a buffer overflow.
Mesa fails its test suite with a buffer overflow.
Product: Mesa
Classification: Unclassified
Component: Other
x86-64 (AMD64) Linux (All)
: medium minor
Assigned To: Ian Romanick
Depends on:
  Show dependency treegraph
Reported: 2012-06-02 12:01 UTC by Markus Oehme
Modified: 2012-07-03 15:23 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:

log of the build process (824.43 KB, text/x-log)
2012-06-02 12:01 UTC, Markus Oehme

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Oehme 2012-06-02 12:01:12 UTC
Created attachment 62429 [details]
log of the build process

I'm using Gentoo Linux an an amd64 box with gcc-4.7.0. When building mesa I see the following buffer overflow error in the test suite.

[ RUN      ] glXCreateContextAttribARB_test.NULL_display_returns_None
*** buffer overflow detected ***: glx_unittest - terminated
glx_unittest: buffer overflow attack in function <unknown> - terminated
Report to http://bugs.gentoo.org/
/bin/sh: line 5: 13934 Killed                  ${dir}$tst
FAIL: glx_unittest

I first reported this issue at [1]. If any further information or action is required please tell me.

[1] https://bugs.gentoo.org/show_bug.cgi?id=418161
Comment 1 Chad Versace 2012-06-04 11:43:56 UTC
Assigning to idr. He wrote the tests.
Comment 2 Ian Romanick 2012-07-03 15:23:28 UTC
Fixed by

commit 313d48a11006646ea0beb2f39b3233e3cc17eb35
Author: Ian Romanick <ian.d.romanick@intel.com>
Date:   Mon Jun 4 13:28:16 2012 -0700

    glx/tests: Fix off-by-one error in allocating extension string buffer
    NOTE: This is a candidate for the 8.0 release branch.
    Signed-off-by: Ian Romanick <ian.d.romanick@intel.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=50621
    Bugzilla: https://bugs.gentoo.org/show_bug.cgi?id=418161
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
    Cc: Markus Oehme <oehme.markus@gmx.de>
    (cherry picked from commit 5fb178ee43fbc364b150fe6c6f0f79e8d8b0b179)